﻿:root {
  /* Font variables */
  --font-stack-headings-primary: Poppins, sans-serif;
  --font-weight-headings-primary: 700;
  --font-style-headings-primary: normal;
  --font-stack-body-primary: Inter, sans-serif;
  --font-weight-body-primary: 400;
  --font-weight-body-primary-bold: 600;
  --font-weight-body-primary-medium: 500;
  --font-style-body-primary: normal;
  --font-stack-body-secondary: Poppins, sans-serif;
  --font-weight-body-secondary: 600;
  --font-weight-body-secondary-bold: 700;
  --font-style-body-secondary: normal;
  --font-weight-menu: var(--font-weight-body-primary-medium);
  --font-weight-buttons: var(--font-weight-body-primary-medium);
  --base-headings-primary-size: 60;
  --base-headings-secondary-size: px;
  --base-headings-line: 1;
  --base-headings-spacing: 0.0em;
  --base-body-primary-size: 16;
  --base-body-secondary-size: 18;
  --base-body-line: 1.4;
  /* Color variables */
  --color-background-header: #eff2f9;
  --color-text-header: #1649d2;
  --color-foreground-header: #fff;
  --color-borders-header: rgba(22, 73, 210, 0.15);
  --color-background-main: #FFFFFF;
  --color-secondary-background-main: rgba(22, 73, 210, 0.08);
  --color-third-background-main: rgba(22, 73, 210, 0.04);
  --color-fourth-background-main: rgba(22, 73, 210, 0.02);
  --color-opacity-background-main: rgba(255, 255, 255, 0);
  --color-text-main: #1649d2;
  --color-foreground-main: #fff;
  --color-secondary-text-main: rgba(22, 73, 210, 0.6);
  --color-borders-main: rgba(22, 73, 210, 0.1);
  --color-background-main-alternate: #eff2f9;
  --color-background-footer: #29abe2;
  --color-text-footer: #eff2f9;
  --color-borders-footer: rgba(239, 242, 249, 0.15);
  --color-borders-forms-primary: rgba(22, 73, 210, 0.3);
  --color-borders-forms-secondary: rgba(22, 73, 210, 0.6);
  /* Borders */
  --border-width-cards: px;
  --border-radius-cards: 0px;
  --border-width-buttons: 1px;
  --border-radius-buttons: 6px;
  --border-width-forms: 1px;
  --border-radius-forms: 6px;
  --border-radius-widgets: 10px;
  /* Layout */
  --grid-gap-original-base: 32px;
  --container-vertical-space-base: 140px;
}

* {
  font-family: "Poppins", sans-serif;
}

html,
body {
  min-height: 100%;
}

html {
  position: relative;
  font-size: 14px;
}

p {
  font-size: 0.9375rem;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}
.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
  box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

a {
  cursor: pointer;
}
a.btn {
  display: flex;
  justify-content: center;
  align-items: center;
}

ul {
  list-style: none;
}

/* Input Fields */
.inputContainer {
  position: relative;
  margin-bottom: 1rem;
}
.inputContainer input, .inputContainer select {
  width: 100%;
  padding: 10px;
  outline: none;
  border-radius: 5px;
  border: 1px solid #ced4da;
  font-size: 1em;
}
.inputContainer .igroup {
  width: 95% !important;
}
@media (min-width: 767.1px) and (max-width: 1200px) {
  .inputContainer .igroup {
    width: 90% !important;
  }
}
@media (max-width: 767px) {
  .inputContainer .igroup {
    width: 86% !important;
  }
}
.inputContainer .place_holder {
  position: absolute;
  left: 0;
  padding: 10px;
  pointer-events: none;
  font-size: 1em;
  color: gray;
  text-transform: uppercase;
  transition: 0.5s;
}
.inputContainer .place_holder-phone {
  top: 0;
}
.inputContainer #togglePassword {
  position: absolute;
  right: 0;
  padding: 10px;
  cursor: pointer;
  font-size: 1em;
  color: #212529;
  text-transform: uppercase;
  transition: 0.5s;
}
.inputContainer input:not(:placeholder-shown) ~ .place_holder,
.inputContainer input:focus ~ .place_holder,
.inputContainer select:not(:placeholder-shown) ~ .place_holder,
.inputContainer select:focus ~ .place_holder {
  transform: translateX(10px) translateY(-7px);
  font-size: 0.65em;
  padding: 0 10px;
  background: #fff;
  color: #212529;
}

.indicator-progress {
  display: none;
}

[data-ecw-indicator=on] > .indicator-progress {
  display: inline-block;
}

[data-ecw-indicator=on] > .indicator-label {
  display: none;
}

.offcanvas {
  overflow-y: scroll;
}

.nav-tabs {
  border-bottom: none;
}

.nav a {
  border: none;
  border-top: none;
  border-left: none;
  border-right: none;
}

.nav-link.active, .nav-link, .nav-link:hover {
  border: none;
  border-top: none;
  border-left: none;
  border-right: none;
}

.nav-link.active {
  font-weight: bold;
}

span[class$=-error] {
  color: red !important;
}

#search-results {
  max-height: 15rem;
  overflow: auto;
}
#search-results ul li {
  display: inline-block;
  width: 100%;
  margin-top: 0.5rem;
  margin-bottom: 0.5rem;
}
#search-results ul li p {
  color: darkgray;
  font-weight: bold;
  margin-bottom: 0;
  cursor: pointer;
}
#search-results ul li p:hover {
  color: teal;
}
#search-results .active {
  color: teal;
}

#enrollment-view .btn:focus, #enrollment-view .btn:active:focus, #enrollment-view .btn-link.nav-link:focus, #enrollment-view .form-control:focus, #enrollment-view .form-check-input:focus {
  box-shadow: none;
}
#enrollment-view .form-control:focus {
  box-shadow: none;
}

.top-bar {
  max-height: 35px;
}

.cart-nav a[homepage], .cart-nav .bi-cart3[homepage] {
  padding: 0.5rem 1.5rem;
}

#navbar-toggler-container {
  width: 14%;
}

.navbar-toggler:focus {
  box-shadow: unset;
}

.navbar-toggler {
  border: none !important;
}
.navbar-toggler .navbar-toggler-icon {
  background-image: url("data:image/svg+xml;charset=utf8,%3Csvg viewBox='0 0 32 32' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath stroke='white' stroke-width='2' stroke-linecap='round' stroke-miterlimit='10' d='M4 8h24M4 16h24M4 24h24'/%3E%3C/svg%3E");
}

a.btn {
  border-radius: unset !important;
}

#modal-toastr-container {
  position: fixed;
  left: 50%;
  top: 5em;
}

.skiptranslate iframe {
  display: none;
}

.text-color-opacity {
  opacity: 0.62;
}

/*      Shopify styles*/
.card-icon-image {
  --color-text-main: #1649d2;
  --color-text-cards: #1649d2;
  --border-radius-cards: 30px;
}

.rich-text__container {
  min-height: 60vh;
}

#shopping_cart {
  overflow-y: auto;
  z-index: 1050;
  padding-top: 6rem;
}

#review-view #shopping_cart {
  padding-top: 0 !important;
  margin-top: 1rem;
  z-index: auto;
  overflow-y: auto;
}

.svg-container {
  cursor: pointer;
}

.floating-svg {
  align-items: start;
  bottom: 6px;
  display: flex;
  justify-content: center;
  position: fixed;
  right: -2em;
  z-index: 8000;
  pointer-events: none;
}

.svg-path {
  filter: drop-shadow(3px 3px 3px rgba(0, 0, 0, 0.5));
}

.body-neumi #kpd_chat {
  position: fixed;
  right: 10px;
  min-width: 40rem;
  z-index: 99999;
  box-shadow: 0 0 10px 1px #808080;
  -webkit-transition: bottom 0.5s;
  transition: bottom 0.5s;
  -webkit-transform: scale(0.75) translate(16.67%, 16.67%);
  transform: scale(0.75) translate(16.67%, 16.67%);
}

@media only screen and (min-width: 640px) {
  #kpd_chat[enabled=false] {
    bottom: -640px;
  }
  #kpd_chat[enabled=true] {
    bottom: 0px !important;
    height: 50rem;
  }
}
@media only screen and (max-width: 640px) {
  #kpd_chat[enabled=true] {
    bottom: 0px !important;
    min-width: 34rem;
    right: 10px;
  }
}
